<template>
  <div>
    <main>
      <section id="prez">
        <b-container>
          <b-row class="mx-0">
            <b-col
              class="mx-auto"
              lg="8"
            >
              <div
                class="pt-5"
                v-html="$t('prez')"
              ></div>

              <img
                alt=""
                class="rounded-circle d-block mx-auto mt-5 w-50"
                :src="`${$t('baseurl')}img/upload.jpg`"
              />
            </b-col>
          </b-row>
        </b-container>
      </section>

      <section
        id="upload"
      >
        <b-container>
          <b-row class="mx-0">
            <b-col
              lg="8"
              class="mx-auto"
            >
              <div v-html="$t('upload')"></div>
            </b-col>
          </b-row>
        </b-container>
      </section>

      <section
        id="story"
      >
        <b-container>
          <b-row class="mx-0">
            <b-col
              lg="8"
              class="mx-auto"
            >
              <div v-html="$t('story')"></div>
            </b-col>
          </b-row>
        </b-container>
      </section>
    </main>
  </div>
</template>

<style lang="scss">
#home {
  background: linear-gradient(-170deg,#5f2d76,#7dafb6);
  display: table;
  position: absolute;
  width: 100%;

  &::before {
    background:
      var(--f-f8)
      url('../../public/img/bg-sky.jpg')
      no-repeat
      center;
    background-size: cover;
    display: block;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  > * {
    position: relative;
    background: transparent !important;
  }

  /* h1 {
    font-weight: bold;
    padding: 2rem;

    border: 3px solid transparent;
    border-image: linear-gradient(to left bottom,var(--f-o5),#fff 15%,#fff 85%,var(--f-o5)) 1;
    background: var(--f-o1);
  }

  h2 {
    line-height: 1.75;
    margin-bottom: 1rem;
  } */
  section {
    margin: 5rem auto;

    h1 {
      color: #fff;
      display: inline-block;
      font-family: "Tovari Sans", sans-serif;
      font-weight: bold;
      margin: -8rem auto 3rem auto;
      width: 100%;
      position: absolute;
      text-align: center;
      text-transform: uppercase;
      text-shadow: none;

      strong {
        display: inline-block;
        border-radius: 0.5rem;
        background: var(--f-o6);
        font-size: 3rem;
        line-height: 2.75rem;
        padding: 1.25rem 1.75rem 0.5rem;
        transform: rotate(-2deg);
      }
    }

    h2 {
      color: var(--f-g10);
      font-family: 'Tovari Sans', sans-serif;
      font-size: 2.4rem;
      @media (min-width: 576px) {
        font-size: 3rem;
      }
      line-height: 2.5rem;
      margin-bottom: 1rem;
    }

    .container {
      background: var(--f-g1);
      border-radius: 28px;
      padding: 3rem 1rem;
    }
  }

  #upload,
  #story {
    .container {
      padding-top: 6rem;
    }
  }
}
</style>
